# os_resource.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/sys/os_time.h"`
`#include "ace/os_include/sys/os_types.h"`

Include dependency graph for os_resource.h:

This graph shows which files directly or indirectly include this file:

## Classes

struct | rusage

## Defines

#define | RUSAGE_SELF 1

## Typedefs

typedef int | ACE_Rusage

## Detailed Description

definitions for XSI resource operations

Id
  os_resource.h,v 1.8 2004/08/25 16:05:41 shuston Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define RUSAGE_SELF 1

## Typedef Documentation

typedef int ACE_Rusage